//  RW Symmetry
// ==============
// ______
// -Part of the RW Foundations suite of libraries

// Filename: ./include/atashi/beauty/symmetry.hpp
// -Declarations of the baseline RW Symmetry sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::atashi::beauty {

//------------------------------------------------------------------------------
/**
 */
class Symmetry_b : public RW {
 public:
  Symmetry_b();                                    // default ctor
  explicit Symmetry_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Symmetry : public Symmetry_b {
 public:
  Symmetry();                                    // default ctor
  explicit Symmetry(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::atashi::beauty

//    --=^=--

// "______"

// rw_atashi_lib.v220226
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
