//   RW Electro
// ==============
// Digital & Electronics, Power, and Sensors Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/electro/electro.hpp
// -Declarations of the baseline RW Electro library

#pragma once

#include "incls_all.hpp"

namespace rw::electro {

//------------------------------------------------------------------------------
/**
 */
class Electro_b : public RW {
 public:
  Electro_b();                                    // default ctor
  explicit Electro_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Electro : public Electro_b {
 public:
  Electro();                                    // default ctor
  explicit Electro(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::electro

//    --=^=--

// "You do realize they are electrical appliances, right?"

// rw_electro_lib.v220226
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
