// RW Collections
// ==============
// The Information & Knowledge Collections Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/curator/alexandria/collections.cpp
// -Definitions of the baseline RW Collections sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::curator::alexandria {

//------------------------------------------------------------------------------
Collections_b::Collections_b() : Collections_b{"collections_b_obj"} {}

//------------------------------------------------------------------------------
Collections_b::Collections_b(std::string const& handle)
    : RW{handle, Type::Collections} {
  stamp("Collections_b()");
}

//------------------------------------------------------------------------------
Collections::Collections() : Collections{"collections_obj"} {}

//------------------------------------------------------------------------------
Collections::Collections(std::string const& handle) : Collections_b{handle} {
  stamp("Collections()");
}

}  // namespace rw::curator::alexandria

//    --=^=--

// "______"

// rw_curator_lib.v220226
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
