//   RW Sensei
// ==============
// Robowaifu Teaching, Training, and Developmental Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/curator/sensei/sensei.cpp
// -Definitions of the baseline RW Sensei sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::curator::sensei {

//------------------------------------------------------------------------------
Sensei_b::Sensei_b() : Sensei_b{"sensei_b_obj"} {}

//------------------------------------------------------------------------------
Sensei_b::Sensei_b(std::string const& handle) : RW{handle, Type::Sensei} {
  stamp("Sensei_b()");
}

//------------------------------------------------------------------------------
Sensei::Sensei() : Sensei{"sensei_obj"} {}

//------------------------------------------------------------------------------
Sensei::Sensei(std::string const& handle) : Sensei_b{handle} {
  stamp("Sensei()");
}

}  // namespace rw::curator::sensei

//    --=^=--

// "______"

// rw_curator_lib.v220226
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
