//  RW Chibitsu
// ==============
// Cute, Smol, Animated Avatar & Robowaifu Library : Fairybot edition
// -Part of the RW Foundations suite of libraries

// Filename: ./src/chibitsu/chibitsu.cpp
// -Definitions of the baseline RW Chibitsu library

#include "incls_all.hpp"

namespace rw::chibitsu {

//------------------------------------------------------------------------------
Chibitsu_b::Chibitsu_b() : Chibitsu_b{"chibitsu_b_obj"} {}

//------------------------------------------------------------------------------
Chibitsu_b::Chibitsu_b(std::string const& handle)
    : Arigato{handle, Type::Chibitsu} {
  stamp("Chibitsu_b()");
}

//------------------------------------------------------------------------------
Chibitsu::Chibitsu() : Chibitsu{"chibitsu_obj"} {}

//------------------------------------------------------------------------------
Chibitsu::Chibitsu(std::string const& handle) : Chibitsu_b{handle} {
  stamp("Chibitsu()");
}

}  // namespace rw::chibitsu

//    --=^=--

// "I can get my phone calls, go on the Internet, and get all my e-mail!"

// rw_chibitsu_lib.v220226
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
